diff --git a/simucore/CMakeLists.txt b/simucore/CMakeLists.txt
index 0603a57f08e5ca9de51909b0666b306f1af6de28..6f1cd7311490a3850c464dacdf53adea4d92062b 100755
--- a/simucore/CMakeLists.txt
+++ b/simucore/CMakeLists.txt
@@ -17,6 +17,7 @@
 #     Univ. of California Berkeley,
 #     Univ. of Colorado Denver.
 #
+#  @version 1.0.0
 #  @date 2014-10-02
 #
 ###
diff --git a/testing/testing_zauxiliary.h b/testing/testing_zauxiliary.h
index b2f09efbd2d5bd76e5b99e9234fd5dc8cd9ac416..37910ddd17f19bc12994ec46a2b5a7c1636cac38 100644
--- a/testing/testing_zauxiliary.h
+++ b/testing/testing_zauxiliary.h
@@ -18,8 +18,8 @@
  * @precisions normal z -> c d s
  *
  */
-#ifndef TESTING_ZAUXILIARY_H
-#define TESTING_ZAUXILIARY_H
+#ifndef _testing_zauxiliary_h_
+#define _testing_zauxiliary_h_
 
 //#include "testing.h"
 
@@ -113,4 +113,4 @@ int testing_zcgesv(int argc, char **argv);
 int testing_zcungesv(int argc, char **argv);
 #endif
 
-#endif /* TESTINGS_H */
+#endif /* _testing_zauxiliary_h_ */
diff --git a/tools/check_header.sh b/tools/check_header.sh
index 3dda2b759b1b76fc51472a3683b2df5726fcca6c..e4e3ead8e33a759f0afbc79cad785ff509f49d06 100755
--- a/tools/check_header.sh
+++ b/tools/check_header.sh
@@ -35,6 +35,10 @@ check_header_file()
         then
             toto=`grep " @file .*/$basename" $filename`
         fi
+        if [ $? -ne 0 ]
+        then
+            toto=`grep " @file chameleon_$basename" $filename`
+        fi
 
         if [ $? -ne 0 ]
         then